%define subrel 5

Name: kdemultimedia4
Summary: K Desktop Environment
Version: 4.2.4
Release: %mkrel 0
Epoch: 3
Group: Graphical desktop/KDE
License: GPL
URL: http://multimedia.kde.org/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdemultimedia-%version.tar.bz2
Patch0: kdemultimedia-4.2.2-disable-kmix-autostart.patch
Patch1: kdemultimedia-4.2.3-t963697-swap_master.patch
Patch2: kdemultimedia-kscd-skin-4.3-backport.patch
Patch3:  kdemultimedia-4.2.4-solid-audioCD.patch
Buildroot: %_tmppath/%name-%version-%release-root
BuildRequires: kdelibs4-devel
BuildRequires: kdebase4-devel
BuildRequires: kdebase4-workspace-devel
BuildRequires: cdparanoia 
BuildRequires: musicbrainz-devel
BuildRequires: mad-devel 
BuildRequires: oggvorbis-devel
BuildRequires: libtunepimp-devel 
BuildRequires: libtheora-devel
BuildRequires: libcdda-devel
BuildRequires: libspeex-devel
BuildRequires: libsamplerate-devel
BuildRequires: X11-devel
BuildRequires: libfreebob-devel
BuildRequires: alsa-lib-devel
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: xcb-devel
BuildRequires: libtaglib-devel
BuildRequires: libflac-devel
BuildRequires: libxine-devel
Requires:      juk = %epoch:%version
Requires:      kmix = %epoch:%version
Requires:      kscd = %epoch:%version
Obsoletes:     kde4-noatun <  3:3.94.0-0.726889.1
Obsoletes:     %{_lib}noatun5 < 3:3.94.0-0.726889.1

%description
%{name} metapackage.

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package   core
Summary:   %name core files
Group:     Graphical desktop/KDE

Requires:  kdebase4-runtime

Conflicts: oxygen-icon-theme <= 1:3.94.0-0.726654.2

Obsoletes: kdemultimedia-common < 1:3.5.10-2
Obsoletes: %{_lib}kdemultimedia1-common < 1:3.5.10-2
Obsoletes: kdemultimedia-krec < 1:3.5.10-2
Obsoletes: kdemultimedia-kmid < 1:3.5.10-2

%description core
Core files for %{name}.

%files core
%defattr(-,root,root)
%_kde_iconsdir/*/*/*/*
%_kde_appsdir/kconf_update/*

#----------------------------------------------------------------------

%package -n juk
Summary:   A music player and manager for KDE
Group:     Graphical desktop/KDE
Requires:  %name-core = %epoch:%version
Obsoletes: %name-juk < 3:3.93.0-0.714637.1
Obsoletes: kde4-juk < 3:4.0.68
Provides: kde4-juk = %epoch:%version

%description -n juk
JuK is a music player and manager for KDE.

%files -n juk
%defattr(-,root,root)
%_kde_appsdir/juk
%_kde_bindir/juk
%_kde_datadir/applications/kde4/juk.desktop
%_kde_docdir/HTML/*/juk

#----------------------------------------------------------------------

%package -n dragonplayer
Summary:   A simple video player for KDE 4
Group:     Graphical desktop/KDE
URL: http://www.dragonplayer.org/
Requires:  %name-core = %epoch:%version
Obsoletes: dragonplayer <= 2.0.1-1
Provides:  dragonplayer = %epoch:%version
Obsoletes: kde4-videoplayer <= 1.0.1-0.745290.4
Provides:  kde4-videoplayer 


%description -n dragonplayer
Dragon Player is a simple video player for KDE 4.

%files -n dragonplayer
%defattr(-,root,root)
%_kde_bindir/dragon
%dir %_kde_appsdir/dragonplayer
%_kde_appsdir/dragonplayer/*
%_kde_libdir/kde4/dragonpart.so
%_kde_datadir/applications/kde4/dragonplayer.desktop
%_kde_datadir/kde4/services/ServiceMenus/dragonplayer_*
%_kde_datadir/kde4/services/dragonplayer_part.desktop
%_kde_appsdir/solid/actions/dragonplayer-opendvd.desktop
%_kde_configdir/dragonplayerrc
%doc %_kde_docdir/HTML/en/dragonplayer

#---------------------------------------------

%package -n kde4-audiocd
Summary: %{name} audiocd
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-audiocd < 3:3.93.0-0.714637.1

%description -n kde4-audiocd
%{name} audiocd.

%files -n kde4-audiocd
%defattr(-,root,root)
%_kde_libdir/kde4/kcm_audiocd.so
%_kde_libdir/kde4/kio_audiocd.so
%_kde_libdir/kde4/libaudiocd_*
%_kde_datadir/config.kcfg/audiocd_*
%_kde_datadir/kde4/services/audiocd.desktop
%_kde_datadir/kde4/services/audiocd.protocol
%_kde_appsdir/konqsidebartng/virtual_folders/services/audiocd.desktop
%_kde_docdir/HTML/en/kioslave/audiocd

#---------------------------------------------

%define libaudiocdplugins %mklibname audiocdplugins %audiocdplugins_major
%define  audiocdplugins_major 4

%package -n %libaudiocdplugins
Summary:    KDE 4 library
Group:      System/Libraries
Obsoletes:  %{_lib}audiocdplugins1 < 3:4.0.0-2
Obsoletes:  %{_lib}4 < 3:4.0.73-4

%description -n %libaudiocdplugins
KDE 4 library

%files -n %libaudiocdplugins
%defattr(-,root,root)
%_kde_libdir/libaudiocdplugins.so.*

#---------------------------------------------

%package -n kmix
Summary: %{name} Digital Mixer
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

Obsoletes: %name-kmix < 3:3.93.0-0.714637.1
Obsoletes: kde4-kmix < 3:4.0.68
Obsoletes: kdemultimedia-kmix < 1:3.5.10-2

Provides: kde4-kmix = %epoch:%version

%description -n kmix
%{name} Digital Mixer.

%files -n kmix
%defattr(-,root,root)
%_kde_appsdir/kmix
%_kde_bindir/kmix
%_kde_bindir/kmixctrl
%_kde_datadir/applications/kde4/kmix.desktop
%_kde_datadir/autostart/restore_kmix_volumes.desktop
%_kde_datadir/kde4/services/kmixctrl_restore.desktop
%_kde_libdir/libkdeinit4_kmix*
%_kde_autostart/kmix_autostart.desktop
%_kde_docdir/HTML/*/kmix

#---------------------------------------------

%package -n kscd
Summary: %{name} Audio CD Player
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

Obsoletes: %name-kscd < 3:3.93.0-0.714637.1
Obsoletes: kde4-kscd < 3:4.0.68
Obsoletes: kdemultimedia-kscd < 1:3.5.10-2

Provides: kde4-kscd = %epoch:%version
Suggests: gstreamer0.10-cdparanoia 

%description -n kscd
%{name} audio CD Player.

%files -n kscd
%defattr(-,root,root)
%_kde_appsdir/profiles
%_kde_bindir/kscd
%_kde_datadir/applications/kde4/kscd.desktop
%_kde_datadir/config.kcfg/kscd.kcfg
%_kde_appsdir/kscd
%_kde_appsdir/solid/actions/kscd-play-audiocd.desktop
%_kde_docdir/HTML/*/kscd

#---------------------------------------------

%define libkcddb %mklibname kcddb %kcddb_major
%define  kcddb_major 4

%package -n %libkcddb
Summary: KDE 4 library
Group: System/Libraries
Obsoletes: kdemultimedia-kscd < 1:3.5.10-4

%description -n %libkcddb
KDE 4 library

%files -n %libkcddb
%defattr(-,root,root)
%_kde_libdir/libkcddb.so.%{kcddb_major}*
%_kde_libdir/kde4/kcm_cddb.so
%_kde_datadir/config.kcfg/libkcddb.kcfg
%_kde_datadir/kde4/services/libkcddb.desktop

#---------------------------------------------

%define libkcompactdisc %mklibname kcompactdisc %kcompactdisc_major
%define kcompactdisc_major 4

%package -n %libkcompactdisc
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkcompactdisc
KDE 4 library

%files -n %libkcompactdisc
%defattr(-,root,root)
%_kde_libdir/libkcompactdisc.so.%{kcompactdisc_major}*

#---------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: kdelibs4-devel
Requires: %libaudiocdplugins = %epoch:%version
Requires: %libkcddb = %epoch:%version
Requires: %libkcompactdisc = %epoch:%version
Requires: kdemultimedia4

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%defattr(-,root,root)
%_kde_libdir/libaudiocdplugins.so
%_kde_libdir/libkcddb.so
%_kde_libdir/libkcompactdisc.so
%_kde_includedir/*
%_kde_datadir/dbus-1/interfaces/*

#----------------------------------------------------------------------

%prep
%setup -q -n kdemultimedia-%version
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
export CFLAGS="${CFLAGS} -DOCAMLIB=%_libdir/ocaml"
export CPPFLAGS="${CPPFLAGS} -DOCAMLIB=%_libdir/ocaml"

%cmake_kde4 

%make

%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

%clean
rm -fr %buildroot





%changelog
* Fri Aug 28 2009 Oden Eriksson <oeriksson@mandriva.com> 3:4.2.4-0.5mdv2009.0
- build for updates

* Thu Jul 09 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.2.4-0.4mdv2009.0
+ Revision: 393942
- Update proper solid audiocd and skins backported from 4.3 to kscd
- Fixed kde3 conflicts due invalid old lib removal.

* Tue Jun 23 2009 Security Team <security@mandriva.com> 3:4.2.4-0.2mdv2009.0
+ Revision: 388517
- + Revision: 386032
  Requested pcm change patch lost on last build
  Major KDE 4.2.4 update
  Major KDE 4.2.3 update
  + Nicolas L?\195?\131?\194?\169cureuil <neoclust@mandriva.org>
    - add gstreamer0.10-cdparanoia as a suggest for kscd
  + Funda Wang <fundawang@mandriva.org>
    - New version 4.1.4

  + Helio Chissini de Castro <helio@mandriva.com>
    - Requested pcm change patch lost on last build
    - Major KDE 4.2.4 update
    - Major KDE 4.2.4 update
    - Major KDE 4.2.3 update

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - add gstreamer0.10-cdparanoia as a suggest for kscd

  + Funda Wang <fundawang@mandriva.org>
    - New version 4.1.4

* Sat Nov 29 2008 Security Team <security@mandriva.com> 3:4.1.3-1.1mdv2009.0
+ Revision: 307814
- + Revision: 303340
  Official KDE 4.1.3 update.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Official KDE 4.1.3 update.

  + root <root>
    - Branching 2009.0 release for updates.

* Fri Sep 26 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.2-1mdv2009.0
+ Revision: 288359
- KDE 4.1.2 arriving.

* Tue Sep 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.1.1-1mdv2009.0
+ Revision: 279307
- Fix kscd patch against trunk
- Backport kscd from trunk ( which use phonon now )

  + Helio Chissini de Castro <helio@mandriva.com>
    - Upgrade to forthcoming 4.1.1 packages

  + Funda Wang <fundawang@mandriva.org>
    - update url and description

* Fri Jul 25 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.0-1mdv2009.0
+ Revision: 247589
- Update with Release Candidate 1 - 4.1.0

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.98-1mdv2009.0
+ Revision: 233191
- Update with Release Candidate 1 - 4.0.98

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.85-1mdv2009.0
+ Revision: 232464
- New version kde 4.0.85

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.84-1mdv2009.0
+ Revision: 229404
- Update with new snapshot tarballs 4.0.84

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.83-1mdv2009.0
+ Revision: 226124
- Update with new snapshot tarballs 4.0.83

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.82-1mdv2009.0
+ Revision: 218300
- Update with new snapshot tarballs 4.0.82

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 3:4.0.81-1mdv2009.0
+ Revision: 217205
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with new snapshot tarballs 4.0.81

* Sat May 24 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.80-1mdv2009.0
+ Revision: 210785
- New upstream kde4 4.1 beta1

* Fri May 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.74-2mdv2009.0
+ Revision: 210693
- Fix Requires

* Fri May 16 2008 Funda Wang <fundawang@mandriva.org> 3:4.0.74-1mdv2009.0
+ Revision: 208039
- New version 4.0.74

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 3:4.0.73-6mdv2009.0
+ Revision: 206996
- add another old kde3 conflict

* Tue May 13 2008 Anssi Hannula <anssi@mandriva.org> 3:4.0.73-5mdv2009.0
+ Revision: 206690
- fix versioned obsolete on lib4

* Tue May 13 2008 Anssi Hannula <anssi@mandriva.org> 3:4.0.73-4mdv2009.0
+ Revision: 206689
- rename lib4 to libaudiocdplugins4 and add obsoletes to handle it
- fix versioned obsoletes on libaudiocdplugins1

* Tue May 13 2008 Anssi Hannula <anssi@mandriva.org> 3:4.0.73-3mdv2009.0
+ Revision: 206658
- add Conflicts for old KDE3 packages for smooth upgrade

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Requires

* Thu May 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.73-1mdv2009.0
+ Revision: 204746
- Update to kde 4.0.73

* Fri May 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.72-1mdv2009.0
+ Revision: 199937
- Update to kde 4.0.72
- Add BuildRequire
- New snapshot 4.0.70
- New snapshot 4.0.69
- Obsoletes kde4-videoplayer

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1
    - Starting to push new infrastructure for devel KDE 4.1. KDE 4 will be on / now. KDE is dead. Long live KDE.

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.3-1mdv2008.1
+ Revision: 191004
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.2-2mdv2008.1
+ Revision: 182256
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.2-1mdv2008.1
+ Revision: 177440
- New upstream bugfix release 4.0.2
- Update to 4.0.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

* Sat Jan 12 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.0-4mdv2008.1
+ Revision: 150221
- Fix File list
- ensure major correctness
  Obsolete old libaudiocdplugins

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update for final stable 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.97.1-0.752124.1mdv2008.1
+ Revision: 137401
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.97.1-0.747536.3mdv2008.1
+ Revision: 119191
- New snapshot

* Fri Nov 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.742562.3mdv2008.1
+ Revision: 114128
- New snapshot

* Sun Nov 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.738567.3mdv2008.1
+ Revision: 111932
- Obsoletes noatun

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.738567.2mdv2008.1
+ Revision: 111681
- Fix File list ( only list devel files on devel package )

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.738567.1mdv2008.1
+ Revision: 111531
- New snapshot

* Sat Nov 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.0-0.736535.1mdv2008.1
+ Revision: 109647
- KDE4 RC1

* Mon Nov 12 2007 Funda Wang <fundawang@mandriva.org> 3:3.95.2-0.734645.2mdv2008.1
+ Revision: 108273
- fix conflicts with oxygen-icon-theme (kde bug#151419)

* Sun Nov 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.95.2-0.734645.1mdv2008.1
+ Revision: 107528
- New snapshot

* Fri Nov 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.95.1-0.731768.1mdv2008.1
+ Revision: 104991
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.1-0.730673.2mdv2008.1
+ Revision: 103696
- New snashot

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.1-0.728842.2mdv2008.1
+ Revision: 102139
- Add conflict to ease upgrade

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.1-0.728842.1mdv2008.1
+ Revision: 102070
- New snapshot

* Sat Oct 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.0-0.726889.1mdv2008.1
+ Revision: 100527
- Kde 4 Beta 3
  Noatun does not exist anymore

* Mon Sep 24 2007 Tiago Salem <salem@mandriva.com.br> 3:3.93.0-0.714637.2mdv2008.0
+ Revision: 92574
- Changing libnoatun mklibname to 5

* Fri Sep 21 2007 Tiago Salem <salem@mandriva.com.br> 3:3.93.0-0.714637.1mdv2008.0
+ Revision: 92033
- Fixing BuildRequires
- Changing Obsoletes tags and updating tarball to a newer revision.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with revision 711009

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.93.0-1mdv2008.0
+ Revision: 79334
- Update with revision 708071
- Update with revision 706280

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.706280.1mdv2008.0
+ Revision: 75112
- Update with revision 706280

* Wed Aug 29 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.705729.1mdv2008.0
+ Revision: 73310
- Update with revision 705729

* Tue Aug 28 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.705308.1mdv2008.0
+ Revision: 72369
- Update with revision 705308

* Sat Aug 25 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.703342.1mdv2008.0
+ Revision: 71091
- Update with revision 703342
- Update with revision 703342

* Wed Aug 08 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.697095.1mdv2008.0
+ Revision: 60471
- Update for revision 697095
- Fix build requires
- Update to revision 697095
- Finished first kdemultimedia4 package with revision 693475

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - 3.91
      Change spec to follow our KDE layout

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.2mdv2008.0
+ Revision: 21481
- increase version
- new snapshot
- Fix buildrequires
- new snapshot


* Wed Feb 28 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070228.1mdv2007.1
+ Revision: 127140
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot
- new snapshot
- update

* Fri Jan 12 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.2mdv2007.1
+ Revision: 107807
- Fix buildrequires
- Import kdemultimedia4

* Mon Jan 08 2007 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-5mdv2007.0
- kde 3.0

